Subject: Re: linux-next: origin tree build warnings

From: Andrew Morton <[email-masked]>
Date: Wed, 29 Apr 2009 00:52:10 -0700

On Wed, 29 Apr 2009 14:44:36 +1000 Stephen Rothwell <[email-masked]> wrote:

> Hi Tyler,
> 
> Today's linux-next build (x86_64 allmodconfig) generated these warnings:
> 
> fs/ecryptfs/inode.c: In function 'ecryptfs_readlink':
> fs/ecryptfs/inode.c:670: warning: format '%d' expects type 'int', but argument 3 has type 'size_t'
> fs/ecryptfs/inode.c:693: warning: comparison of distinct pointer types lacks a cast
> 
> Caused by commit 3a6b42cadc112b01daf0525e5fcd90bb333a5bb3 ("eCryptfs:
> Larger buffer for encrypted symlink targets").

yup, Randy sent a fix for this today.

I merged that patch and put it into my "to be merged into 2.6.30 via
the ecryptfs tree" pile.

Tyler, if you can't be bothered setting up a git pull for a one-liner
then feel free to tell me to merge it.

If you don't do that then I tend to end up sitting on the patch for
rather a while, sending it at the tree maintainer once every couple of
weeks.  Sometimes I end up sitting on them after the major kernel
release, after having sent them to the maintainer several times, which
is all very sad.  Sometimes I'll get bored of sending them at the
maintainer and I'll just merge them anyway, depending upon how frisky
I'm feeling.